Subject: Re: emacs in X has icons missing and throws warnings in tty

From: Chris Marusich <[email-masked]>
Date: Sat, 02 Apr 2016 12:01:59 -0700

Hi,

I'm using emacs in X on my GuixSD (version 0.10.0) laptop (not a
headless server), and all the icons seem to be showing up correctly for
me by default.

I think the adwaita icons are provided by the package adwaita-icon-theme
(although gnome-themes-standard also purports to supply a copy of it,
too):

--8<---------------cut here---------------start------------->8---
$ guix package --search=adwaita
name: adwaita-icon-theme
version: 3.18.0
outputs: out
systems: x86_64-linux i686-linux armhf-linux mips64el-linux
dependencies: gtk+-3.18.2 icon-naming-utils-0.8.90 intltool-0.51.0
+ pkg-config-0.29
location: gnu/packages/gnome.scm:597:2
homepage: http://art.gnome.org/
license: LGPL 3
synopsis: GNOME icon theme
description: Icons for the GNOME desktop.

name: gnome-themes-standard
version: 3.18.0
outputs: out
systems: x86_64-linux i686-linux armhf-linux mips64el-linux
dependencies: glib-2.46.1 glib-2.46.1 gtk+-2.24.28 gtk+-3.18.2 intltool-0.51.0
+ librsvg-2.40.13 libxml2-2.9.3 pkg-config-0.29
location: gnu/packages/gnome.scm:1609:2
homepage: https://launchpad.net/gnome-themes-standard
license: LGPL 2.1+
synopsis: Default GNOME 3 themes
description: The default GNOME 3 themes (Adwaita and some accessibility themes).
--8<---------------cut here---------------end--------------->8---

Are either of these packages installed on your system?  Also, are your XDG
environment variables set correctly?  See the following email thread,
which seems related to your issue:

https://lists.gnu.org/archive/html/guix-devel/2016-01/msg00764.html

I hope that helps,

-- 
Chris